PGSQL_CONTROL
-- $Id: ip_extend.m4,v 1.3 2004/10/16 21:56:50 babolo Exp $
CREATE OR REPLACE FUNCTION inet(int4) RETURNS inet
 AS '$libdir/ip_extend.so.VMAJOR'
  , 'int4_inet'
 LANGUAGE C IMMUTABLE STRICT
;
CREATE OR REPLACE FUNCTION inet(int8) RETURNS inet
 AS '$libdir/ip_extend.so.VMAJOR'
  , 'int8_inet'
 LANGUAGE C IMMUTABLE STRICT
;
CREATE OR REPLACE FUNCTION int4(inet) RETURNS int4
 AS '$libdir/ip_extend.so.VMAJOR'
  , 'inet_int4'
 LANGUAGE C IMMUTABLE STRICT
;
CREATE OR REPLACE FUNCTION int8(inet) RETURNS int8
 AS '$libdir/ip_extend.so.VMAJOR'
  , 'inet_int8'
 LANGUAGE C IMMUTABLE STRICT
;
CREATE OR REPLACE FUNCTION ip_set(inet, int) RETURNS SETOF inet
 AS '$libdir/ip_extend.so.VMAJOR'
  , 'ip_set'
 LANGUAGE C IMMUTABLE STRICT
;
CREATE OR REPLACE FUNCTION ip_set(inet) RETURNS SETOF inet
 AS 'SELECT ip_set($1, 32)
    '
 LANGUAGE SQL IMMUTABLE STRICT
;
CREATE OR REPLACE FUNCTION inet_type(inet) RETURNS int2
 AS '$libdir/ip_extend.so.VMAJOR'
  , 'inet_type'
 LANGUAGE C IMMUTABLE STRICT
;
CREATE OR REPLACE FUNCTION ip_supernet(inet) RETURNS SETOF inet
 AS '$libdir/ip_extend.so.VMAJOR'
  , 'ip_supernet'
 LANGUAGE C IMMUTABLE STRICT
;
COMMENT ON FUNCTION inet(int4)        IS ' int4  IP ';
COMMENT ON FUNCTION inet(int8)        IS ' int8  IP ';
COMMENT ON FUNCTION int4(inet)        IS ' IP   int4';
COMMENT ON FUNCTION int8(inet)        IS ' IP   int8';
COMMENT ON FUNCTION ip_set(inet, int) IS '       ';
COMMENT ON FUNCTION ip_set(inet)      IS '    ';
COMMENT ON FUNCTION inet_type(inet)   IS '   inet/cidr';
COMMENT ON FUNCTION ip_supernet(inet) IS '    ';
